cpi2psf(1)

NAME
cpi2psf - extract a font from a DOS codepage (.CPI)

SYNOPSIS
cpi2psf [--height=x] [--codepage=nnn] [--psf1] [--psf2] INPUTFILE [OUTPUTFILE]

DESCRIPTION
cpi2psf extracts a font from a DOS codepage (.CPI) file. All known codepage file formats are supported (MSDOS, DRDOS, Windows NT, and Linux).

OPTIONS

--height=x
    Extract the font with the specified height. Otherwise the first height found will be used.

--codepage=nnn
    Extract only the specified codepage as a 256-character font. If this option is not present, all the characters of the requested size from all the codepages in the font will be extracted, with duplicates being merged. nnn must be a numeric codepage specifier such as 437 or 850.

--psf1
    Outputs in PSF1 format. It is recommended that this is only used if the --codepage option is also present, otherwise the resulting PSF1 file may not hold all the characters from the codepage.

--psf2
    Outputs in PSF2 format (default).

BUGS

If no filename is provided, the program will attempt to load its input file from standard input. The success of this operation depends on the internal structure of the CPI file, and the capabilities of the C library.

SEE ALSO
psfs2cpi(1), cpicomp(1), cpidcomp(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.